<%
		Function Current(TitleCss,OpenType,NavType,Navtext,Nav,TypeMode,linktype)
		 Dim StrNav:StrNav = GetNavLocation(NavType,Navtext,Nav)
 
 			 OpenType = Gopen(OpenType):TitleCss = GCss(TitleCss)
 
 
 
	 
			Select Case UCase(Application(SkcmsCookies & "SK_Data_classification"))
				 Case "INDEX" 
					Current = skweboa.SK_Main_navigation(TitleCss,OpenType,StrNav)
				 Case "FOLDER"        '栏目的位置导航
					Current = skweboa.SK_navigation(TitleCss,OpenType,StrNav, Application(SkcmsCookies & "classid"),TypeMode,linktype)
				 Case "CURRENT"     '内容页的位置导航
					Current = skweboa.SK_page_navigation(TitleCss,OpenType,StrNav, Application(SkcmsCookies & "classid"),TypeMode,linktype)
				 Case "skweboaMODE"
					Current = skweboa.TypeModeName(TitleCss,OpenType,Application(SkcmsCookies & "modeid"),StrNav)&""
					
				 Case "OTHER"'插件导航
					Current =   "<a "& TitleCss &" href=""" & Application(SkcmsCookies & "link") & """" &OpenType& ">" & Application(SkcmsCookies & "skweboaTCJ") & "</a>"
				 Case Else
					Current = ""
			End Select
 
      End Function

 
	
		  Function Gopen(OpenType)
			  If OpenType = "" Or OpenType = False Then
				Gopen = ""
			  ElseIf OpenType = True Then
				Gopen = " target=""_blank"""
			  Else
				Gopen = " target=""" & OpenType & """"
			  End If
		End Function
		
			
	
			Function GetNavLocation(NavType,Navtext,Nav)
			If CStr(NavType) = "0" Then
			  If Navtext = "" Then
			   GetNavLocation = "  >> "
			  Else
			   GetNavLocation = Navtext
			  End If
			Else
			  If Nav = "" Then
				GetNavLocation = " >> "
			  Else
				If Left(Nav, 1) = "/" Or Left(Nav, 1) = "\" Then Nav = Right(Nav, Len(Nav) - 1)
				GetNavLocation = "<img src=""" & SK_Data_analysis & Nav & """ border=""0"" align=""absmIDdle"">"
			  End If
			End If
 
		End Function	

%>
